package com.pgpool.tests;


import com.pgpool.domain.AuthData;

public class TestStarter {

	private static final int TEST_ITERATIONS = 10000000;

	public static void main(String[] args) throws Exception {

		if (args.length != 5) {
			System.out.println("required parameters not passed");
			return;
		}

		String hostname = args[0];// "10.28.78.115";
		int pgport = Integer.parseInt(args[1]);// "5432";
		String database = args[2]; // "oss";
		String username = args[3]; // "oss";
		String password = args[4]; // "H76iOavIst0EJ3";

		AuthData authData = new AuthData();

		authData.setPgpoolHostname(hostname);
		authData.setPgpoolPort(pgport);

		authData.setDatabaseName(database);
		authData.setDatabaseLogin(username);
		authData.setDatabasePasswd(password);

		for (int i = 0; i < TEST_ITERATIONS; i++) {
			System.out.println(String.format("Start test iteration '%d'", i));

			//new Test231_Z_1().runTest(authData);
			//new TestPreparedStatement().runTest(authData);
			new Issue271_SingleThread().runTest(authData);
			//new Issue271().runTest(authData);
			//new Issue231().runTest(authData);

			System.out.println(String.format("Iteration '%d' done", i));

		}


	}
}
